Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.modules.genenet.access
Class MglDataCollection

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--biouml.modules.genenet.access.MglDataCollection

public class MglDataCollection
extends AbstractDataCollection

Data collection to access to GeneNet server

Field Summary
`static String` | `HOST_ADDRESS_PROPERTY`
`static String` | `TABLE_NAME_PROPERTY`

Constructor Summary
`MglDataCollection(DataCollection origin, Properties properties)`

Method Summary
`void` | `close()`
`List` | `getNameList()`
`int` | `getSize()`
`boolean` | `isMutable()`
`Iterator` | `iterator()`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, contains, contains, get, getCompleteName, getDataElementType, getInfo, init, propagateElementChanged, propagateElementWillChange, put, remove, removeDataCollectionListener, toString`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Field Detail

### HOST_ADDRESS_PROPERTY

    public static String HOST_ADDRESS_PROPERTY

### TABLE_NAME_PROPERTY

    public static String TABLE_NAME_PROPERTY

Constructor Detail

### MglDataCollection

    public MglDataCollection(DataCollection origin, Properties properties)
                        throws java.lang.Exception

Method Detail

### close

    public void close()
                throws java.lang.Exception

### getNameList

    public List getNameList()

### getSize

    public int getSize()

### isMutable

    public boolean isMutable()

### iterator

    public Iterator iterator()

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.util.List

to Class biouml.modules.genenet.access.MGL_Connection_Client

to Class java.util.List

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM